目次

Wwise SDK 2018.1.11
プラットフォーム要件 2017.2.6

このページには、Wwise サウンドエンジンのそれぞれのバージョンをビルドするために使用されている様々なツールのバージョンが記載されています。

一般的なツール

Microsoft Visual Studio の以下のバージョンが Wwise ライブラリを構築するために使用されています:

  • Microsoft® Visual Studio 2010: VS2010 SP1 (10.0.40219.1 SP1Rel)
  • Microsoft® Visual Studio 2012: VS2012 Update 5 (11.0.61219.00)
  • Microsoft® Visual Studio 2013: VS2013 Update 5 (12.0.40629.00)
  • Microsoft® Visual Studio 2015: VS2015 Update 3 (14.0.25420.1)
  • Microsoft® Visual Studio 2017: VS2017 (15.0.27004.2010)

Win32、x64の両方で、Wwise SDK インストールディレクトリの名前の最後に、以下のように "_vc" + バージョン番号 (例えば "_vc140" 、 "_vc150" など)が付きます:

  • vc100: CRT DLL のバージョン 10.0.40219.1 に依存する Debug、Profile および Release バージョン Wwise 用のライブラリが含まれており、これは Visual Studio 2010 Service Pack 1 のバージョン 10.0.40219.1 に対応。
  • vc110: CRT DLLのバージョン 11.0.61219.00に依存する Debug、Profile、および Release バージョン Wwise 用ライブラリが含まれており、これはVisual Studio 2012 Update 4 バージョン 11.0.61219.00 に対応。
  • vc120: CRT DLLのバージョン 12.0.40629.00に依存する Debug、Profile、および Release バージョン Wwise 用ライブラリが含まれており、これはVisual Studio 2013 Update 8 バージョン 12.0.40629.00 に対応。
  • vc140: CRT DLLのバージョン 14.0.25420.1に依存する Debug、Profile、および Release バージョン Wwise 用ライブラリが含まれており、これはVisual Studio 2015 Update 2 バージョン 14.0.25420.1. に対応。
  • vc150: CRT DLLのバージョン 15.0.27004.2010に依存する Debug、Profile、および Release バージョン Wwise 用ライブラリが含まれており、これはVisual Studio 2017 バージョン 15.0.27004.2010に対応。

Visual Studio の異なるバージョンを使用している場合、または、ゲームを CRT DLL の上記バージョンのいずれにも依存させたくない場合は、代わりに Debug(StaticCRT)、Profile(StaticCRT) および Release(StaticCRT)フォルダからライブラリへリンクすることができます。


Android™

Android

  • Android SDK: 32bit、最低限APIは14、64bit、最低限APIは21
  • Android SDK Tools: 24.1.2
  • Android NDK: r12b
  • Apache Ant: 1.8.2
  • NVIDIA CodeWorks for Visual Studio: 必須ではなく、コンパイルやデバグがはるかに簡単
iOS

iOS/tvOS

  • iOS Deployment Target: 6.0
  • iOS SDK: 11.1
  • tvOS Deployment Target: 9.1
  • tvOS SDK: 11.1 (tvOS)
  • Xcode®: 9.1
Mac OS X

Mac

  • Mac OS X: v10.6 Snow Leopard® (最小ターゲット)
  • Xcode®: 9.1
  • Mac SDK: OS X 10.13
  • Intel ベースの Mac (PowerPCのサポートなし)
Linux

Linux

  • Compiler: GCC 4.8.1
  • ターゲット環境 Steam Runtime
Magic Leap

本情報は表示できません。その理由は Magic Leap ライセンスを受けたユーザとしてサインインしていないからです。

PlayStation®4

本情報は表示できません。その理由は PlayStation®4 ライセンスを受けたユーザとしてサインインしていないからです。

Nintendo Switch™

本情報は表示できません。その理由は Nintendo Switch™ ライセンスを受けたユーザとしてサインインしていないからです。

Windows

Windows

  • Microsoft DirectX®: DXSDK_Jun10 (9.29)
    Note: SDKの複数バージョンがある場合には、DirectX® SDK の環境変数 DXSDK_DIR が適切なディレクトリを指していることを確認してください。
  • Windows ソフトウェア開発キット (Windows SDK): 10.0

Xbox One

本情報は表示できません。その理由は Xbox One ライセンスを受けたユーザとしてサインインしていないからです。